## python-ctypeslib 0.0.0+svn20100125

=== debian/changelog ===
python-ctypeslib (0.0.0+svn20100125-5) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Andrey Rahmatullin ]
  * Port from python-support to dh-python (Closes: #786089).

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 01 Sep 2015 22:59:02 +0500

python-ctypeslib (0.0.0+svn20100125-4) unstable; urgency=low

  * Bump standards-version to 3.9.2.
  * Upgrade source format to 3.0 (quilt).
  * Fix duplicate documentation of options of xml2py in the manual page.
    (Closes: #609841)
  * Clarify the h2xml -c and xml2py -l options as they are relatively
    important.  (Closes: #609920)
  * This now appears on the PyPI as version 0.5.4a, but there is not
    actually a release - it only points to the svn repo, which has no
    changes since I originally packaged ctypeslib.

 -- Richard Darst <rkd@zgib.net>  Tue, 28 Jun 2011 20:48:22 -0400

python-ctypeslib (0.0.0+svn20100125-3) unstable; urgency=low

  * Team upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:45:47 +0200

python-ctypeslib (0.0.0+svn20100125-2) unstable; urgency=low

  * Create and include a manual page.  There is one manual page accessible
    under the names `ctypeslib`, `h2xml`, and `xml2py` now.
  * Add explicit source format 1.0 designation.

 -- Richard Darst <rkd@zgib.net>  Wed, 14 Apr 2010 15:56:04 -0400

python-ctypeslib (0.0.0+svn20100125-1) unstable; urgency=low

  * Initial release (Closes: #566905)

 -- Richard Darst <rkd@zgib.net>  Tue, 02 Feb 2010 10:53:15 -0500
