=== debian/control ===
Source: python-ctypeslib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Richard Darst <rkd@zgib.net>
Build-Depends: debhelper (>= 7), python-all, dh-python, gccxml
Standards-Version: 3.9.2
Homepage: http://starship.python.net/crew/theller/ctypes/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-ctypeslib/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-ctypeslib/trunk/


Package: python-ctypeslib
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, gccxml
Description: code generator to convert header files into ctypes interfaces
 Ctypeslib is a code generator capable of converting C header files
 into xml files (using gccxml), and then converting the xmlfiles into
 Python modules which define a ctypes interface to the corresponding C
 library.
 .
 Ctypeslib is not ctypes.  Ctypes is included in python2.5+, while
 ctypeslib is a lesser known add-on by the ctypes author.  If you use
 ctypes a lot and are tired of setting argtypes and restype of the
 called functions, you should look into ctypeslib.  Ctypeslib can also
 set up data types and structures from C header files automatically.
 Ctypeslib could be used to integrate Python with an existing C project,
 or from the start with a new project to ease development of a Python/C
 interface.
